| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# ivaria/engseq.h File Reference

Engine sequence interfaces. More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes
struct | iEngineSequenceManager
| Sequence manager specifically designed for working on the engine. More...
struct | iEngineSequenceParameters
| An interface for passing on parameters to the engine sequence manager. More...
struct | iParameterESM
| This interface is a parameter resolver. More...
struct | iSequenceTimedOperation
| A timed operation for the engine sequence manager. More...
struct | iSequenceTrigger
| A sequence trigger. More...
struct | iSequenceWrapper
| A sequence wrapper. More...
enum | { CS_SEQUENCE_LIGHTCHANGE_NONE = 0, CS_SEQUENCE_LIGHTCHANGE_LESS = 1, CS_SEQUENCE_LIGHTCHANGE_GREATER = 2 }
| Operations for AddConditionLightChange(). More...

## Detailed Description

Engine sequence interfaces.

Definition in file engseq.h.

## Enumeration Type Documentation

anonymous enum

Operations for AddConditionLightChange().

Enumerator:

  CS_SEQUENCE_LIGHTCHANGE_NONE | Todo: Document me
  CS_SEQUENCE_LIGHTCHANGE_LESS | Todo: Document me
  CS_SEQUENCE_LIGHTCHANGE_GREATER | Todo: Document me

Definition at line 49 of file engseq.h.